<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_c61345ccedc39c197" . "7427766275e2da6" => base64_decode("aW1hZ2Vf" . "Z2FsbGVy" . "eQ=="), "_61a5ceb347019" . "e37116d4d29071" . "63b82" => base64_decode("bWF0Y2" . "hfYWxs"), "_df945ac2fbdd1576202fb480" . "96eb43f9" => base64_decode("YWRtaW4uc" . "GFuZWxzX2" . "xpc3Q="), "per" . "ms" => base64_decode("cGVy" . "bXM="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_df945ac2fbdd1576202fb48096eb" . "43f9"]}->GetOne($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c61345ccedc39c197742776" . "6275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_61a5ceb347" . "019e37116d4" . "d2907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}